*** a/src/backend/catalog/pg_type.c
--- b/src/backend/catalog/pg_type.c
***************
*** 532,541 **** GenerateTypeDependencies(Oid typeNamespace,
  		recordDependencyOn(&myself, &referenced, DEPENDENCY_NORMAL);
  
  		recordDependencyOnOwner(TypeRelationId, typeObjectId, owner);
- 	}
  
! 	/* dependency on extension */
! 	recordDependencyOnCurrentExtension(&myself, rebuild);
  
  	/* Normal dependencies on the I/O functions */
  	if (OidIsValid(inputProcedure))
--- 532,541 ----
  		recordDependencyOn(&myself, &referenced, DEPENDENCY_NORMAL);
  
  		recordDependencyOnOwner(TypeRelationId, typeObjectId, owner);
  
! 		/* dependency on extension */
! 		recordDependencyOnCurrentExtension(&myself, rebuild);
! 	}
  
  	/* Normal dependencies on the I/O functions */
  	if (OidIsValid(inputProcedure))
